import {Resource} from './resource';
import {Language} from './language';
import {MediaType} from './media-type';
import {Charset} from './charset';

export interface ApplicationState {
	name: string;
	resources: Set<Resource<any>>;
	languages: Set<Language>;
	mediaTypes: Set<MediaType>;
	charsets: Set<Charset>;
}

export interface ApplicationParams {
	name: string;
}
