- [ ] Integrate with other data stores
- [X] Access control with resources
- [ ] Content negotiation
  - [ ] Language
  - [X] Encoding
  - [ ] Media Type
- [X] HTTPS
- [X] Date/Datetime handling (endpoints should be able to accept timestamps and ISO date/datetime strings)
- [ ] Querying items in collections
- [ ] Tests
  - [X] Happy path
  - [ ] Error handling
- [ ] Implement error handling compliant to RFC 9457 - Problem Details for HTTP APIs
- [ ] Create RESTful client for frontend, server for backend (specify data sources on the server side)
- [ ] `EventEmitter` for `202 Accepted` requests (CQRS-style service)
