import {ApplicationState, Charset, Language, MediaType, Resource} from '../common';
import {BaseDataSource} from '../common/data-source';

export interface BackendState {
	app: ApplicationState;
	dataSource: (resource: Resource) => BaseDataSource;
	cn: {
		language: Language;
		charset: Charset;
		mediaType: MediaType;
	}
	showTotalItemCountOnGetCollection: boolean;
	throws404OnDeletingNotFound: boolean;
	checksSerializersOnDelete: boolean;
	showTotalItemCountOnCreateItem: boolean;
}
